Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Util
Class Constants

    java.lang.Object
      Util.Constants

    public final class Constants

extends java.lang.Object

This class has all the constants. The names for properties.

Field Summary
`static java.lang.String` | `BOX_COUNT_DIVISION`
`static java.lang.String` | `CODONS_USED_SENSITIVE` Only crossover in the codons used
`static java.lang.String` | `CROSSOVER_OPERATION` Class name of crossover operation.
`static java.lang.String` | `CROSSOVER_PROBABILITY` Probability of crossing over inputs
`static java.lang.String` | `DEFAULT_CHROMOSOME_SIZE` Default chromosome size
`static java.lang.String` | `DEFAULT_GEGRAMMAR` Defualt GEGrammar
`static java.lang.String` | `DEFAULT_MAX_DERIVATION_TREE_DEPTH`
`static java.lang.String` | `DEFAULT_PARAM_ROOT`
`static java.lang.String` | `DEFAULT_POPULATION_SIZE` Default population size
`static java.lang.String` | `DEFAULT_PRC_PRECISION`
`static java.lang.String` | `DEFAULT_PRC_RANGE`
`static java.lang.String` | `DEFAULT_PRC_SETSIZE`
`static java.lang.String` | `DEFAULT_PROPERTIES` Path to default properties file
`static java.lang.String` | `DERIVATION_TREE`
`static java.lang.String` | `DRAW_PHENOTYPE` boolean specifying whether or not phenotype should be drawn
`static java.lang.String` | `DUPLICATION_PROBABILITY` Probability of duplicating inputs
`static java.lang.String` | `ELITE_SIZE` Number of elites.
`static java.lang.String` | `EVALUATE_ELITES` If the elites should be evaluated each iteration
`static java.lang.String` | `EXPERIMENT` Sets the run class to use
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FITNESS_FUNCTION` Class name of fitness function.
`static java.lang.String` | `FIXED_POINT_CROSSOVER` If the crossover point is fixed
`static java.lang.CharSequence` | `GE_CODON_VALUE` Signature of a GE Codon.
`static java.lang.String` | `GE_CODON_VALUE_PARSING` Identifying a GE codon when parsing
`static java.lang.String` | `GEGRAMMAR` GEGrammar to use
`static java.lang.String` | `GENERATION` Number of iterations of algorithm
`static java.lang.String` | `GENERATION_GAP` Porportion of new solutions (population) that will be inserted among the old solutions (population)
`static java.lang.String` | `GENERATIONAL` Sets generation gap to population size.
`static java.lang.String` | `GRAMMAR_FILE` Path to grammar file *.bnf
`static java.lang.String` | `GROW_PROBABILITY` Probability of choosing a to grow a full depth tree when rampde full grow initialisation is used.
`static java.lang.String` | `HELP_FLAG`
`static java.lang.String` | `INDIVIDUAL_CATCH_INTERVAL` Interval between saved individuals in the population
`static java.lang.String` | `INFIX_GRAMMAR` Specifying if an infix grammar
`static java.lang.String` | `INITIAL_CHROMOSOME_SIZE` Length of input for random initialisation
`static java.lang.String` | `INITIALISER` Class name of initialiser operation.
`static java.lang.String` | `INTERACT_GENS` After how many generations should the user be prompted for interaction
`static java.lang.String` | `INTERACTIVE_GE` Sets interactive fitness GE on or off
`static java.lang.String` | `MAX_DEPTH` Max depth of tree growth for full and grow initialisation
`static java.lang.String` | `MAX_DERIVATION_TREE_DEPTH`
`static java.lang.String` | `MAX_WRAPS` Number of times the input is reread from start.
`static java.lang.String` | `MAXPROBLEM_DEPTH` Methods for selecting max tree depth for max problem
`static java.lang.String` | `MUTATION_OPERATION` Class name of mutation operation.
`static java.lang.String` | `MUTATION_PROBABILITY` Probability of mutating an input
`static java.lang.String` | `ODE_DAMAGE_WALL_HEIGHT` Sets wall height in blocks in ode DamageCalc
`static java.lang.String` | `ODE_DAMAGE_WALL_WIDTH` Sets wall width in blocks in ode DamageCalc
`static java.lang.String` | `ODE_INTERACTIONS` Sets number of step interactions to perform (higher is more accurate)
`static java.lang.String` | `ODE_STEPS` Sets number of simulation seconds to run for
`static java.lang.String` | `ODE_STEPSIZE` Sets size of a single step (number of seconds of action per step, lower is more accurate)
`static java.lang.String` | `OUTPUT` Path for output file.
`static java.lang.String` | `PARITY_DEGREE` Specifying the parity degree
`static java.lang.String` | `POPULATION_SIZE` Size of individual solutions
`static java.lang.String` | `PRC_PRECISION` this is the decimal precision of the constants that are generated the number specifies how many decimal places there should be
`static java.lang.String` | `PRC_RANGE` this is the range that the constants will be generated within
`static java.lang.String` | `PRC_SETSIZE` this is the number of elements is the set
`static java.lang.String` | `PROPERTIES_FILE` Path to properties file
`static java.lang.String` | `REPLACEMENT_OPERATOR` Class name of replacement operator.
`static java.lang.String` | `REPLACEMENT_TYPE` Generational or steady state replacment.
`static java.lang.String` | `RNG_SEED` The seed for the random number generator.
`static java.lang.String` | `SELECTION_OPERATION` Class name of selection operation.
`static java.lang.String` | `SELECTION_SIZE` Selection size proportion of population used selected.
`static java.lang.String` | `SR_RANGE` Specifies the range to test the fitness for symbolic regression.The format is sr_range= x eq [start; stepSize; stop]; and multiple ranges can be specified eg sr_range = x0 eq [0:.5:2]; x1 eq [2:.1:5].
`static java.lang.String` | `SR_TARGET` the phenotypic target for symbolic regression
`static java.lang.String` | `STDERR` Used for redirecting stdErr
`static java.lang.String` | `STDOUT` Used for redirecting stdOut
`static java.lang.String` | `STEADY_STATE` Sets generation gap to 1/population size.
`static java.lang.String` | `STOP_WHEN_SOLVED` Stop algorithm if global optimum is found before max iterations
`static java.lang.String` | `TAIL_PERCENTAGE` Reletive percentage of chromosome tail
`static java.lang.String` | `TARGET_FRACTAL_DIMENSION`
`static java.lang.String` | `TARGET_IMAGE` This specifies the file location for the target picture
`static java.lang.String` | `TARGET_PHENOTYPE` This specifies a phenotype string for the target picture
`static java.lang.String` | `TOURNAMENT_SIZE` Size of tournament for tournament selection
`static java.lang.String` | `TRUE`
`static java.lang.String` | `USERPICK_SIZE` Size of population for user selection
`static java.lang.String` | `VERSION_FLAG`
`static java.lang.String` | `WORDMATCH_WORD` Word to match when using the wordmatch fitness function

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STDOUT

    public static final java.lang.String STDOUT

  Used for redirecting stdOut

  See Also:
    Constant Field Values

### STDERR

    public static final java.lang.String STDERR

  Used for redirecting stdErr

  See Also:
    Constant Field Values

### FITNESS_FUNCTION

    public static final java.lang.String FITNESS_FUNCTION

  Class name of fitness function. Reflection used to load

  See Also:
    Constant Field Values

### SELECTION_OPERATION

    public static final java.lang.String SELECTION_OPERATION

  Class name of selection operation. Reflection used to load

  See Also:
    Constant Field Values

### MUTATION_OPERATION

    public static final java.lang.String MUTATION_OPERATION

  Class name of mutation operation. Reflection used to load

  See Also:
    Constant Field Values

### CROSSOVER_OPERATION

    public static final java.lang.String CROSSOVER_OPERATION

  Class name of crossover operation. Reflection used to load

  See Also:
    Constant Field Values

### REPLACEMENT_OPERATOR

    public static final java.lang.String REPLACEMENT_OPERATOR

  Class name of replacement operator. Reflection used to load

  See Also:
    Constant Field Values

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

  Path to properties file

  See Also:
    Constant Field Values

### INITIALISER

    public static final java.lang.String INITIALISER

  Class name of initialiser operation. Reflection used to load

  See Also:
    Constant Field Values

### OUTPUT

    public static final java.lang.String OUTPUT

  Path for output file. Starts in user.dir Output files are appended a timestamp and *.dat If output is set to false no output is written

  See Also:
    Constant Field Values

### GENERATION

    public static final java.lang.String GENERATION

  Number of iterations of algorithm

  See Also:
    Constant Field Values

### STOP_WHEN_SOLVED

    public static final java.lang.String STOP_WHEN_SOLVED

  Stop algorithm if global optimum is found before max iterations

  See Also:
    Constant Field Values

### GRAMMAR_FILE

    public static final java.lang.String GRAMMAR_FILE

  Path to grammar file *.bnf

  See Also:
    Constant Field Values

### MAX_WRAPS

    public static final java.lang.String MAX_WRAPS

  Number of times the input is reread from start.

  See Also:
    Constant Field Values

### GROW_PROBABILITY

    public static final java.lang.String GROW_PROBABILITY

  Probability of choosing a to grow a full depth tree when rampde full grow initialisation is used.

  See Also:
    Constant Field Values

### PRC_SETSIZE

    public static final java.lang.String PRC_SETSIZE

  this is the number of elements is the set

  See Also:
    Constant Field Values

### DEFAULT_PRC_SETSIZE

    public static final java.lang.String DEFAULT_PRC_SETSIZE

See Also:
  Constant Field Values

### PRC_RANGE

    public static final java.lang.String PRC_RANGE

  this is the range that the constants will be generated within

  See Also:
    Constant Field Values

### DEFAULT_PRC_RANGE

    public static final java.lang.String DEFAULT_PRC_RANGE

See Also:
  Constant Field Values

### PRC_PRECISION

    public static final java.lang.String PRC_PRECISION

  this is the decimal precision of the constants that are generated the number specifies how many decimal places there should be

  See Also:
    Constant Field Values

### DEFAULT_PRC_PRECISION

    public static final java.lang.String DEFAULT_PRC_PRECISION

See Also:
  Constant Field Values

### MAX_DEPTH

    public static final java.lang.String MAX_DEPTH

  Max depth of tree growth for full and grow initialisation

  See Also:
    Constant Field Values

### TAIL_PERCENTAGE

    public static final java.lang.String TAIL_PERCENTAGE

  Reletive percentage of chromosome tail

  See Also:
    Constant Field Values

### ELITE_SIZE

    public static final java.lang.String ELITE_SIZE

  Number of elites.

  See Also:
    Constant Field Values

### EVALUATE_ELITES

    public static final java.lang.String EVALUATE_ELITES

  If the elites should be evaluated each iteration

  See Also:
    Constant Field Values

### INITIAL_CHROMOSOME_SIZE

    public static final java.lang.String INITIAL_CHROMOSOME_SIZE

  Length of input for random initialisation

  See Also:
    Constant Field Values

### SELECTION_SIZE

    public static final java.lang.String SELECTION_SIZE

  Selection size proportion of population used selected. E.g 1.0 generates a selection of population size

  See Also:
    Constant Field Values

### POPULATION_SIZE

    public static final java.lang.String POPULATION_SIZE

  Size of individual solutions

  See Also:
    Constant Field Values

### REPLACEMENT_TYPE

    public static final java.lang.String REPLACEMENT_TYPE

  Generational or steady state replacment. If mor control is needed use the generation gap and selection size parameters.

  See Also:
    Constant Field Values

### FIXED_POINT_CROSSOVER

    public static final java.lang.String FIXED_POINT_CROSSOVER

  If the crossover point is fixed

  See Also:
    Constant Field Values

### TOURNAMENT_SIZE

    public static final java.lang.String TOURNAMENT_SIZE

  Size of tournament for tournament selection

  See Also:
    Constant Field Values

### USERPICK_SIZE

    public static final java.lang.String USERPICK_SIZE

  Size of population for user selection

  See Also:
    Constant Field Values

### MAXPROBLEM_DEPTH

    public static final java.lang.String MAXPROBLEM_DEPTH

  Methods for selecting max tree depth for max problem

  See Also:
    Constant Field Values

### INDIVIDUAL_CATCH_INTERVAL

    public static final java.lang.String INDIVIDUAL_CATCH_INTERVAL

  Interval between saved individuals in the population

  See Also:
    Constant Field Values

### MUTATION_PROBABILITY

    public static final java.lang.String MUTATION_PROBABILITY

  Probability of mutating an input

  See Also:
    Constant Field Values

### CROSSOVER_PROBABILITY

    public static final java.lang.String CROSSOVER_PROBABILITY

  Probability of crossing over inputs

  See Also:
    Constant Field Values

### DUPLICATION_PROBABILITY

    public static final java.lang.String DUPLICATION_PROBABILITY

  Probability of duplicating inputs

  See Also:
    Constant Field Values

### GENERATION_GAP

    public static final java.lang.String GENERATION_GAP

  Porportion of new solutions (population) that will be inserted among the old solutions (population)

  See Also:
    Constant Field Values

### WORDMATCH_WORD

    public static final java.lang.String WORDMATCH_WORD

  Word to match when using the wordmatch fitness function

  See Also:
    Constant Field Values

### DEFAULT_POPULATION_SIZE

    public static final java.lang.String DEFAULT_POPULATION_SIZE

  Default population size

  See Also:
    Constant Field Values

### DEFAULT_CHROMOSOME_SIZE

    public static final java.lang.String DEFAULT_CHROMOSOME_SIZE

  Default chromosome size

  See Also:
    Constant Field Values

### GEGRAMMAR

    public static final java.lang.String GEGRAMMAR

  GEGrammar to use

  See Also:
    Constant Field Values

### DEFAULT_GEGRAMMAR

    public static final java.lang.String DEFAULT_GEGRAMMAR

  Defualt GEGrammar

  See Also:
    Constant Field Values

### RNG_SEED

    public static final java.lang.String RNG_SEED

  The seed for the random number generator.

  See Also:
    Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### STEADY_STATE

    public static final java.lang.String STEADY_STATE

  Sets generation gap to 1/population size. Sets selection size to 2/population size.

  See Also:
    Constant Field Values

### GENERATIONAL

    public static final java.lang.String GENERATIONAL

  Sets generation gap to population size. Sets selection size to population size.

  See Also:
    Constant Field Values

### DEFAULT_PARAM_ROOT

    public static final java.lang.String DEFAULT_PARAM_ROOT

See Also:
  Constant Field Values

### DEFAULT_PROPERTIES

    public static final java.lang.String DEFAULT_PROPERTIES

  Path to default properties file

  See Also:
    Constant Field Values

### GE_CODON_VALUE

    public static final java.lang.CharSequence GE_CODON_VALUE

  Signature of a GE Codon. Indicates special treatment in the parsing

### GE_CODON_VALUE_PARSING

    public static final java.lang.String GE_CODON_VALUE_PARSING

  Identifying a GE codon when parsing

### MAX_DERIVATION_TREE_DEPTH

    public static final java.lang.String MAX_DERIVATION_TREE_DEPTH

See Also:
  Constant Field Values

### DEFAULT_MAX_DERIVATION_TREE_DEPTH

    public static final java.lang.String DEFAULT_MAX_DERIVATION_TREE_DEPTH

### CODONS_USED_SENSITIVE

    public static final java.lang.String CODONS_USED_SENSITIVE

  Only crossover in the codons used

  See Also:
    Constant Field Values

### ODE_INTERACTIONS

    public static final java.lang.String ODE_INTERACTIONS

  Sets number of step interactions to perform (higher is more accurate)

  See Also:
    Constant Field Values

### ODE_STEPSIZE

    public static final java.lang.String ODE_STEPSIZE

  Sets size of a single step (number of seconds of action per step, lower is more accurate)

  See Also:
    Constant Field Values

### ODE_STEPS

    public static final java.lang.String ODE_STEPS

  Sets number of simulation seconds to run for

  See Also:
    Constant Field Values

### ODE_DAMAGE_WALL_WIDTH

    public static final java.lang.String ODE_DAMAGE_WALL_WIDTH

  Sets wall width in blocks in ode DamageCalc

  See Also:
    Constant Field Values

### TARGET_IMAGE

    public static final java.lang.String TARGET_IMAGE

  This specifies the file location for the target picture

  See Also:
    Constant Field Values

### TARGET_PHENOTYPE

    public static final java.lang.String TARGET_PHENOTYPE

  This specifies a phenotype string for the target picture

  See Also:
    Constant Field Values

### ODE_DAMAGE_WALL_HEIGHT

    public static final java.lang.String ODE_DAMAGE_WALL_HEIGHT

  Sets wall height in blocks in ode DamageCalc

  See Also:
    Constant Field Values

### TARGET_FRACTAL_DIMENSION

    public static final java.lang.String TARGET_FRACTAL_DIMENSION

See Also:
  Constant Field Values

### BOX_COUNT_DIVISION

    public static final java.lang.String BOX_COUNT_DIVISION

See Also:
  Constant Field Values

### INTERACTIVE_GE

    public static final java.lang.String INTERACTIVE_GE

  Sets interactive fitness GE on or off

  See Also:
    Constant Field Values

### INTERACT_GENS

    public static final java.lang.String INTERACT_GENS

  After how many generations should the user be prompted for interaction

  See Also:
    Constant Field Values

### SR_RANGE

    public static final java.lang.String SR_RANGE

  Specifies the range to test the fitness for symbolic regression.The format is sr_range= x eq [start; stepSize; stop]; and multiple ranges can be specified eg sr_range = x0 eq [0:.5:2]; x1 eq [2:.1:5]. Use rnd(start, cases ,stop) to specify random points

  See Also:
    Constant Field Values

### SR_TARGET

    public static final java.lang.String SR_TARGET

  the phenotypic target for symbolic regression

  See Also:
    Constant Field Values

### DRAW_PHENOTYPE

    public static final java.lang.String DRAW_PHENOTYPE

  boolean specifying whether or not phenotype should be drawn

  See Also:
    Constant Field Values

### EXPERIMENT

    public static final java.lang.String EXPERIMENT

  Sets the run class to use

  See Also:
    Constant Field Values

### PARITY_DEGREE

    public static final java.lang.String PARITY_DEGREE

  Specifying the parity degree

  See Also:
    Constant Field Values

### INFIX_GRAMMAR

    public static final java.lang.String INFIX_GRAMMAR

  Specifying if an infix grammar

  See Also:
    Constant Field Values

### VERSION_FLAG

    public static final java.lang.String VERSION_FLAG

See Also:
  Constant Field Values

### HELP_FLAG

    public static final java.lang.String HELP_FLAG

See Also:
  Constant Field Values

### DERIVATION_TREE

    public static java.lang.String DERIVATION_TREE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD